#ifndef KRONOS_XDISPLAY_CONNECTION_HEADER
#define KRONOS_XDISPLAY_CONNECTION_HEADER

#include <vector>
#include <X11/Xlib.h>
#include "XWindow.hpp"


namespace Kronos {
	class XDisplayConnection {
	public:
		XDisplayConnection(const char* name = nullptr);
		XDisplayConnection(const XDisplayConnection& conn) = delete;
		~XDisplayConnection();

		XDisplayConnection& operator=(const XDisplayConnection& conn) = delete;

		Display* getDisplay();
		std::vector<XWindow> getWindows();

	private:
		Display* m_display;
	};
}

#endif
