#ifndef KRONOS_XWINDOW_HEADER
#define KRONOS_XWINDOW_HEADER

#include <X11/Xlib.h>
#include <string>


namespace Kronos {
	class XDisplayConnection;

	class XWindow {
	public:
		XWindow(XDisplayConnection& conn, Window window);
		~XWindow();

		void processEvents();
		std::string getName() const;
		int getWidth() const;
		int getHeight() const;

	private:
		XDisplayConnection& m_conn;
		Window m_window;
		std::string m_name;
		int m_width;
		int m_height;
	};
}

#endif
